/*******************************************************************************

   
   GERADOR DE ONDA COM SADAS SIMTRICAS E  FREQUNCIA AJUSTVEL

   C/ PIC 12F675
   
   AUTOR: CLAUDIO LARIOS  
   
   DATA:  09/04/2016  
   
   OBJETIVO:  USO EM INVERSOR DE TENSO DO TIPO PUSH-PULL 
   
   USO DIDTICO  
   
   
   PINOS DO PIC:  
   
    1= VCC (+5V)  
    2= CAPACITOR + RESISTOR AO VCC (DETERMINA A FREQUENCIA)  
    3= SADA 2  
    4= NC  
    5= SADA 1  
    6= NC  
    7= NC  
    8= GND  

   ESTE ARQUIVO  PARTE INTEGRANTE DO BLOG LARIOS,TECNOLOGIA,WS  

*******************************************************************************/
#include <12F675.h>
#device adc=8
#use delay(clock=4000000)
#fuses NOWDT,/* INTRC_IO*/ RC_IO, NOCPD, NOPROTECT, NOMCLR, NOPUT, NOBROWNOUT




#bit  s1 = 0x5.4
#bit  s2 = 0x5.2


#byte  cmcon     = 0x19
#byte option_reg = 0x81

#byte  trisio    = 0x85
#byte  gpio      = 0x05
#byte  ansel     = 0x9f
#byte  wpu       = 0x95

#define v_tmorto  1
#define v_on1     20
#define v_on2     20

void main() {

    cmcon= 7; //desliga comparadores internos
    ansel=0;  // desliga conversor analgico/digital
    trisio=0b101011;//acerta sadas e entradas
    gpio=0;//desliga sada




   for(;;){

     s1=1;
     delay_cycles(v_on1);
     s1=0;
     delay_cycles(v_tmorto+2); //tempo morto
     s2=1;
     delay_cycles(v_on2);
     s2=0;
     delay_cycles(v_tmorto); //tempo morto


   }//for(;;)

}//void main()
