
    LIST P=12f675 , R=HEX 
; CCS PCM C Compiler, Version 3,200


;;;;;         0 ROM used: 46 words (4%)
;;;;;         0;;         Largest free fragment is 978
;;;;;         0 RAM used: 2 (3%) at main() level
;;;;;         0;;         2 (3%) worst case
;;;;;         0 Stack:    0 locations

;
M000:  MOVLW  000
M001:  MOVWF  00A
M002:  GOTO   M004
M003:  NOP
;;;,,,,,,,,,,,,,,,,,  /*******************************************************************************  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   INVERSOR  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   AUTOR: CLAUDIO LARIOS  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   DATA:  09/04/2016  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   OBJETIVO:  USO EM INVERSOR DE TENSO  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   USO DIDTICO  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,    PINOS DO PIC:  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,    1= VCC (+5V)  
;;;,,,,,,,,,,,,,,,,,    2= CAPACITOR + RESISTOR AO VCC (DETERMINA A FREQUENCIA)  
;;;,,,,,,,,,,,,,,,,,    3= SADA 2  
;;;,,,,,,,,,,,,,,,,,    4= NC  
;;;,,,,,,,,,,,,,,,,,    5= SADA 1  
;;;,,,,,,,,,,,,,,,,,    6= NC  
;;;,,,,,,,,,,,,,,,,,    7= NC  
;;;,,,,,,,,,,,,,,,,,    8= GND  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   ESTE ARQUIVO  PARTE INTEGRANTE DO BLOG LARIOS,TECNOLOGIA,WS  
;;;,,,,,,,,,,,,,,,,,   OBS. USE MPLAB-IDE PARA COMPILAR ESTE ARQUIVO E OBTER UM ARQUIVO .HEX
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, *******************************************************************************/  
;;;,,,,,,,,,,,,,,,,, #include <12F675,h> 
;;;,,,,,,,,,,,,,,,,,  //////// Standard Header file for the PIC12F675 device ////////////////  
;;;,,,,,,,,,,,,,,,,, #device PIC12F675  
;;;,,,,,,,,,,,,,,,,, #list  
;;;,,,,,,,,,,,,,,,,,  
;;;,,,,,,,,,,,,,,,,, #device adc=8  
;;;,,,,,,,,,,,,,,,,, #use delay(clock=4000000)  
;;;,,,,,,,,,,,,,,,,, #fuses NOWDT,/* INTRC_IO*/ RC_IO, NOCPD, NOPROTECT, NOMCLR, NOPUT, NOBROWNOUT  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, #bit  s1 = 0x5,4  
;;;,,,,,,,,,,,,,,,,, #bit  s2 = 0x5,2  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, #byte  cmcon     = 0x19  
;;;,,,,,,,,,,,,,,,,, #byte option_reg = 0x81  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, #byte  trisio    = 0x85  
;;;,,,,,,,,,,,,,,,,, #byte  gpio      = 0x05  
;;;,,,,,,,,,,,,,,,,, #byte  ansel     = 0x9f  
;;;,,,,,,,,,,,,,,,,, #byte  wpu       = 0x95  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, #define v_tmorto  1  
;;;,,,,,,,,,,,,,,,,, #define v_on1     20  
;;;,,,,,,,,,,,,,,,,, #define v_on2     20  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, void main() {  
;;;,,,,,,,,,,,,,,,,,   
M004:  CLRF   004
M005:  MOVLW  01F
M006:  ANDWF  003,F
M007:  MOVF   01F,W
M008:  ANDLW  0BF
M009:  MOVWF  01F
M00A:  BSF    003,5
M00B:  MOVF   01F,W
M00C:  ANDLW  0F0
M00D:  IORLW  00F
M00E:  MOVWF  01F
M00F:  MOVLW  007
M010:  BCF    003,5
M011:  MOVWF  01F
;;;,,,,,,,,,,,,,,,,,     cmcon= 7; //desliga comparadores internos  
M012:  MOVLW  007
M013:  MOVWF  019
;;;,,,,,,,,,,,,,,,,,     ansel=0;  // desliga conversor analgico/digital  
M014:  BSF    003,5
M015:  CLRF   01F
;;;,,,,,,,,,,,,,,,,,     trisio=0b101011;//acerta sadas e entradas  
M016:  MOVLW  02B
M017:  MOVWF  005
;;;,,,,,,,,,,,,,,,,,     gpio=0;//desliga sada  
M018:  BCF    003,5
M019:  CLRF   005
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,    for(;;){  
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,      s1=1;  
M01A:  BSF    005,4
;;;,,,,,,,,,,,,,,,,,      delay_cycles(v_on1);  
M01B:  MOVLW  006
M01C:  MOVWF  020
M01D:  DECFSZ 020,F
M01E:  GOTO   M01D
M01F:  NOP
;;;,,,,,,,,,,,,,,,,,      s1=0;  
M020:  BCF    005,4
;;;,,,,,,,,,,,,,,,,,      delay_cycles(v_tmorto+2); //tempo morto  
M021:  NOP
M022:  NOP
M023:  NOP
;;;,,,,,,,,,,,,,,,,,      s2=1;  
M024:  BSF    005,2
;;;,,,,,,,,,,,,,,,,,      delay_cycles(v_on2);  
M025:  MOVLW  006
M026:  MOVWF  020
M027:  DECFSZ 020,F
M028:  GOTO   M027
M029:  NOP
;;;,,,,,,,,,,,,,,,,,      s2=0;  
M02A:  BCF    005,2
;;;,,,,,,,,,,,,,,,,,      delay_cycles(v_tmorto); //tempo morto  
M02B:  NOP
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,,    }//for(;;)  
M02C:  GOTO   M01A
;;;,,,,,,,,,,,,,,,,,   
;;;,,,,,,,,,,,,,,,,, }//void main()  
;;;,,,,,,,,,,,,,,,,,  
M02D:  SLEEP

;Configuration Fuses 
   __CONFIG 3996  ;NOWDT NOCPD NOPROTECT NOMCLR NOPUT RC_IO NOBROWNOUT

   END